### Method

# Jsonrpc Client set_use_gvariant

since: 3.26

#### Declaration [src]

    void
    jsonrpc_client_set_use_gvariant (
      JsonrpcClient* self,
      gboolean use_gvariant
    )

#### Description [src]

Sets the `JsonrpcClient:use-gvariant` property.

This function sets if `GVariant` should be used to communicate with the peer. Doing so can allow for more efficient communication by avoiding expensive parsing overhead and memory allocations. However, it requires that the peer also supports `GVariant` encoding.

Available since: 3.26

Sets property | `Jsonrpc.Client:use-gvariant`

#### Parameters

`use_gvariant`

  Type: `gboolean`

  If `GVariant` should be used.